Use color buttons' macro also here
[claws.git] / INSTALL
1 Installation
2 ============
3
4 This program requires GTK+ 2.16 or higher to be compiled.
5
6 Build it
7 ========
8
9 If you're using a package-based system, please make sure that gtk-devel
10 and glib-devel (or similar) packages are installed before the compilation
11 (you may also require flex (lex),  and bison (yacc)).
12
13 To compile and install, just type:
14
15 % ./configure
16 % make
17 % su
18 Password: [Enter password]
19 # make install
20
21 To run, just type:
22
23 % claws-mail
24
25 Additional libraries or programs
26 ================================
27 only needed if you require the additional functionality
28
29 Bogofilter
30     for Bogofilter plugin support
31     http://bogofilter.sourceforge.net/
32 Bsfilter
33     for Bsfilter plugin support
34     http://sourceforge.jp/projects/bsfilter/
35 Canberra (>= 0.6)
36     for some sound features of Notification plugin
37     http://0pointer.de/lennart/projects/libcanberra/
38 compface
39     for X-Face support
40     http://freshmeat.net/projects/compface/
41 Clam AntiVirus daemon
42     for Clamd plugin support
43     http://www.clamav.net/
44 D-Bus (>= 0.60)
45     for interprocess communication support
46     http://www.freedesktop.org/wiki/Software/dbus
47 Enchant (and dictionaries) (>= 1.0.0)
48     for spell-checker support
49     http://www.abisource.com/enchant/
50 GData (>= 0.6.4)
51     for GData plugin support
52     https://live.gnome.org/libgdata/
53 GnuPG (>= 1.2.1) and GPGME (>=  0.4.5)
54     for GnuPG and S/MIME plugin support
55     http://www.gnupg.org/
56     ftp://ftp.gnupg.org/gcrypt/gpgme/
57 GnuTLS (>= 0.4.2)
58     for SSL support
59     http://www.gnu.org/software/gnutls/
60 GTK+ WebKit (>= 1.0)
61     for Fancy plugin support
62     http://trac.webkit.org/wiki/WebKitGTK/
63 Gs tool
64     for PostScript feature of PDF Viewer plugin
65     http://pages.cs.wisc.edu/~ghost/
66 Indicate (>= 0.3.0)
67     for indicator feature of Notification plugin
68     https://launchpad.net/libindicator/
69 J-Pilot
70     for J-Pilot support
71     http://www.jpilot.org/
72 LCDproc daemon
73     for lcdproc feature of Notification plugin
74     http://www.lcdproc.org
75 libEtPan! (>= 0.57)
76     for IMAP4, NNTP and Mailmbox plugin support
77     http://www.etpan.org
78 Network Manager (>= 0.6.2)
79     for support for detection of network connection changes
80     http://www.gnome.org/projects/NetworkManager/
81 OpenLDAP (>= 2.0.7)
82     for LDAP support
83     http://www.openldap.org/
84 Perl (>= 5.8.0)
85     for perl plugin support
86     http://www.perl.org/
87 Poppler (>= 0.4.2)
88     for PDF Viewer plugin support
89     http://poppler.freedesktop.org/       
90 GnuTLS (>= 0.4.2)
91     for SSL support
92     http://www.gnu.org/software/gnutls/
93 PyGTK (>= 2.10.3) 
94     for Python plugin support
95     http://www.pygtk.org/
96 Python
97     for Python plugin support
98     http://python.org/
99 SpamAssassin
100     for SpamAssassin plugin support
101     http://spamassassin.apache.org/
102
103 Options for configure script
104 ============================
105 Most options are automatically enabled if the dependencies
106 are matched.
107
108   --with-config-dir=RCDIR           local config dir (default: ~/.claws-mail)
109   --disable-compface                disable compface (X-Face) support
110   --disable-ipv6                    disable IPv6 support
111   --disable-libsm                   disable Session Management support
112   --disable-gnutls                  disable GnuTLS support
113   --disable-libetpan                disable IMAP4 and NNTP support
114   --disable-enchant                 disable Enchant support
115   --disable-dbus                    disable D-Bus support
116   --disable-ldap                    disable LDAP support
117   --disable-jpilot                  disable JPilot support
118   --disable-networkmanager          disable NetworkManager support
119   --disable-startup-notification    disable startup notification support
120   --disable-valgrind                disable valgrind support for debugging
121   --enable-crash-dialog             enable crash dialog
122   --disable-startup-notification    disable startup notification support
123   --disable-acpi_notifier-plugin    do not build ACPI notifier plugin
124   --disable-address_keeper-plugin   do not build Address Keeper plugin
125   --disable-archive-plugin          do not build Archive plugin
126   --disable-att_remover-plugin      do not build Att Remover plugin
127   --disable-attachwarner-plugin     do not build Attachwarner plugin
128   --disable-bogofilter-plugin       do not build Bogofilter plugin
129   --disable-bsfilter-plugin         do not build BSfilter plugin
130   --disable-clamd-plugin            do not build Clamd plugin
131   --disable-fancy-plugin            do not build Fancy plugin
132   --disable-fetchinfo-plugin        do not build Fetchinfo plugin
133   --disable-gdata-plugin            do not build GData plugin
134   --disable-libravatar-plugin       do not build Libravatar plugin
135   --disable-mailmbox-plugin         do not build MailMbox plugin
136   --disable-managesieve-plugin      do not build ManageSieve plugin
137   --disable-newmail-plugin          do not build NewMail plugin
138   --disable-notification-plugin     do not build Notification plugin
139   --disable-pdf_viewer-plugin       do not build PDF Viewer plugin
140   --disable-perl-plugin             do not build Perl plugin
141   --disable-python-plugin           do not build Python plugin
142   --disable-pgpcore-plugin          do not build PGP/Core plugin
143   --disable-pgpmime-plugin          do not build PGP/MIME plugin
144   --disable-pgpinline-plugin        do not build PGP/Inline plugin
145   --disable-rssyl-plugin            do not build RSSyl plugin
146   --disable-smime-plugin            do not build S/MIME plugin
147   --disable-spamassassin-plugin     do not build SpamAssassin plugin
148   --disable-spam_report-plugin      do not build Spam Report plugin
149   --disable-tnef_parse-plugin       do not build TNEF Parse plugin
150   --disable-vcalendar-plugin        do not build vCalendar plugin
151   --disable-manual                  do not build user manuals
152   --disable-nls                     do not use Native Language Support
153
154 For other options, refer to ./configure --help .
155
156